<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 

global $is_admin;
?>
<link rel="stylesheet" href="<?=$poll_skin_path?>/style.css" type="text/css">
<?
// 투표번호가 넘어오지 않았다면 가장 큰(최근에 등록한) 투표번호를 얻는다
if (!$po_id) 
{
    $po_id = $config[cf_max_po_id];

    if (!$po_id) return;
}

$po = sql_fetch(" select * from $g4[poll_table] where po_id = '$po_id' ");
?>

<div id="zmb_poll_body">
<form name="fpoll" method="post" action="<?=$g4[bbs_path]?>/poll_update.php" onsubmit="return fpoll_submit(this);" target="winPoll">
<input type="hidden" name="po_id" value="<?=$po_id?>">
<input type="hidden" name="skin_dir" value="<?=$skin_dir?>">
	<div id="zmb_poll_subject"><img src="<?=$poll_skin_path?>/img/q.gif" width="12" height="13"> <font color="#848484"><?=$po[po_subject]?></font></div>
<?	for ($i=1; $i<=9 && $po["po_poll{$i}"]; $i++) { ?>
		<div class="zmb_poll_list">
<?		if ($i == 1) { 
			echo "<img src='$poll_skin_path/img/a.gif' width='12' height='13'>"; 
		} else { 
			echo "&nbsp;&nbsp;&nbsp;"; 
		}
?>
		<input type="radio" name="gb_poll" value="<?=$i?>" id='gb_poll_<?=$i?>'>
		<font color="#848484"><label for='gb_poll_<?=$i?>'><?=$po['po_poll'.$i]?></label></font>
		</div>
<?	} ?>
<div>
<input type="image" src="<?=$poll_skin_path?>/img/poll_button.gif" width="70" height="25" border="0">
<a href="javascript:;" onclick="poll_result('<?=$po_id?>');"><img src="<?=$poll_skin_path?>/img/poll_view.gif" width="70" height="25" border="0"></a>
</div>
</form>
</div>

<script type='text/javascript'>
function fpoll_submit(f)
{
    var chk = false;
    for (i=0; i<f.gb_poll.length;i ++) {
        if (f.gb_poll[i].checked == true) {
            chk = f.gb_poll[i].value;
            break;
        }
    }

    <?
    if ($member[mb_level] < $po[po_level])
        echo " alert('권한 $po[po_level] 이상의 회원만 투표에 참여하실 수 있습니다.'); return false; ";
    ?>

    if (!chk) {
        alert("항목을 선택하세요");
        return false;
    }

    win_poll();
    return true;
}

function poll_result(po_id)
{
    <?
    if ($member[mb_level] < $po[po_level])
        echo " alert('권한 $po[po_level] 이상의 회원만 결과를 보실 수 있습니다.'); return false; ";
    ?>

    win_poll("<?=$g4[bbs_path]?>/poll_result.php?po_id="+po_id+"&skin_dir="+document.fpoll.skin_dir.value);
}
</script>
